Subject: Re: Fix problems with Holly's DT representation of ethernet PHYs

From: Segher Boessenkool <[email-masked]>
Date: Tue, 29 May 2007 16:49:31 +0200

>>> +			compatible = "tsi-mdio";
>>
>> Hrm, did I miss this before?  A more exact "compatible"
>> property would be better ("tsi109-mdio" "tsi108-mdio" or
>> something like that).
>
> If we must, then tsi108-mdio is what I would recommend.  They are the
> same between 108, 109, and 110 as far as I know, so it's the lowest
> common denominator.

[Assuming what is really on the board is a tsi109...]

I recommend putting both 109 and 108 in the property, in
that order; that way, if you need to do something special
on the tsi109 implementation (something you might not yet
know about perhaps, maybe a bug; or some extra feature on
the tsi109 device that the driver doesn't handle yet), the
driver has a chance to do that.  If the driver doesn't care
and only uses tsi108 features, it obviously can probe for
tsi108 only and all will be fine as well.

Segher